Bug 740564 - segfault in notification daemon
Summary: segfault in notification daemon
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: notification-daemon
Version: 6.2
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 13:25 UTC by Vladimir Benes
Modified: 2017-12-06 11:25 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 11:25:15 UTC


Attachments (Terms of Use)

Description Vladimir Benes 2011-09-22 13:25:07 UTC
Description of problem:
after resume I sometimes see segfault in notification daemon, I suspect notification from NM ethernet connection

Version-Release number of selected component (if applicable):
notification-daemon-0.5.0-1.el6.x86_64

How reproducible:
not sure

Steps to Reproduce:
1.suspend the box
2.resume
3.
  
Actual results:
crash occurs sometimes

Expected results:
no crash

Additional info:

New Thread 9598]
[Thread debugging using libthread_db enabled]
Core was generated by `/usr/libexec/notification-daemon'.
Program terminated with signal 11, Segmentation fault.
#0  IA__g_type_check_instance_cast (type_instance=0x30202c2032783020, iface_type=31921824) at gtype.c:3725
3725	      if (type_instance->g_class)

Thread 1 (Thread 0x7f9ef3f56920 (LWP 9598)):
#0  IA__g_type_check_instance_cast (type_instance=0x30202c2032783020, iface_type=31921824) at gtype.c:3725
No locals.
#1  0x0000003810e6b594 in IA__gdk_x11_screen_get_screen_number (screen=0x30202c2032783020) at gdkscreen-x11.c:582
No locals.
#2  0x00000000004078f6 in get_work_area (stack=<value optimized out>, nw=0x201c340 [GtkWindow], nw_l=0x7fff893f0938, init_width=0, init_height=0, nw_x=0x0, nw_y=0x0) at stack.c:69
        ret_workarea = <value optimized out>
        workarea = 396
        type = <value optimized out>
        win = <value optimized out>
        leftovers = <value optimized out>
        format = <value optimized out>
        workareas = <value optimized out>
        result = <value optimized out>
        disp_screen = <value optimized out>
#3  notify_stack_shift_notifications (stack=<value optimized out>, nw=0x201c340 [GtkWindow], nw_l=0x7fff893f0938, init_width=0, init_height=0, nw_x=0x0, nw_y=0x0) at stack.c:264
        workarea = {x = 257580896, y = 56, width = 132294791, height = 56}
        monitor = {x = 257580896, y = 56, width = 132499657, height = 56}
        positions = <value optimized out>
        l = <value optimized out>
        x = <value optimized out>
        y = <value optimized out>
        shifty = 0
        i = <value optimized out>
        n_wins = <value optimized out>
#4  0x0000000000407dcc in notify_stack_remove_window (stack=0x1ef2210, nw=0x201c340 [GtkWindow]) at stack.c:390
        remove_l = 0x0
#5  0x0000003808a0bb3e in IA__g_closure_invoke (closure=0x1f9b2e0, return_value=0x0, n_param_values=1, param_values=0x1f66000, invocation_hint=0x7fff893f0a90) at gclosure.c:767
        marshal = <value optimized out>
        marshal_data = <value optimized out>
        in_marshal = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#6  0x0000003808a20e23 in signal_emit_unlocked_R (node=<value optimized out>, detail=0, instance=0x201c340, emission_return=0x0, instance_and_params=0x1f66000) at gsignal.c:3247
        tmp = <value optimized out>
        handler = 0x1f15490
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x201c340, ihint = {signal_id = 11, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x1e9ca40
        handler_list = 0x1f15490
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 11
        max_sequential_handler_number = 758
        return_value_altered = 0
#7  0x0000003808a220af in IA__g_signal_emit_valist (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>, var_args=0x7fff893f0c80) at gsignal.c:2980
        instance_and_params = 0x1f66000
        signal_return_type = 4
        param_values = 0x1f66018
        node = 0x1e9d120
        i = <value optimized out>
        n_params = 0
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#8  0x0000003808a225f3 in IA__g_signal_emit (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>) at gsignal.c:3037
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff893f0d60, reg_save_area = 0x7fff893f0ca0}}
#9  0x000000380f37d48e in gtk_object_dispose (gobject=0x201c340 [GtkWindow]) at gtkobject.c:421
        object = 0x201c340 [GtkWindow]
#10 0x0000003808a0dee0 in IA__g_object_run_dispose (object=0x201c340 [GtkWindow]) at gobject.c:815
        __PRETTY_FUNCTION__ = "IA__g_object_run_dispose"
#11 0x0000000000406993 in _notify_timeout_destroy (nt=0x1fae8b0) at daemon.c:174
No locals.
#12 0x0000003807e2a605 in g_hash_table_remove_node (hash_table=0x1eee800 = {...}, node=0x1ef2428, notify=<value optimized out>) at ghash.c:335
No locals.
#13 0x0000003807e2b670 in g_hash_table_remove_internal (hash_table=0x1eee800 = {...}, key=0x7fff893f0e1c, notify=1) at ghash.c:981
        node = <value optimized out>
        node_index = 3
        __PRETTY_FUNCTION__ = "g_hash_table_remove_internal"
#14 0x0000000000404477 in _close_notification (daemon=0x1ed7990 [NotifyDaemon], id=3, hide_notification=1, reason=NOTIFYD_CLOSED_USER) at daemon.c:607
        priv = 0x1ed79b0
        nt = 0x1fae8b0
#15 0x0000000000404596 in _action_invoked_cb (nw=<value optimized out>, key=0x408339 "default") at daemon.c:571
        daemon = 0x1ed7990 [NotifyDaemon]
        id = 3
        message = 0x1eebe40
#16 0x0000000000404622 in window_clicked_cb (nw=0x201c340 [GtkWindow], button=<value optimized out>, daemon=0x1ed7990 [NotifyDaemon]) at daemon.c:1157
No locals.
#17 0x000000380f353ef3 in _gtk_marshal_BOOLEAN__BOXED (closure=0x1ead1e0, return_value=0x7fff893f1060, n_param_values=<value optimized out>, param_values=0x1f7c4c0, invocation_hint=<value optimized out>, marshal_data=<value optimized out>) at gtkmarshalers.c:84
        callback = 0x4045e0 <window_clicked_cb>
        cc = 0x1ead1e0
        data1 = 0x201c340
        data2 = 0x1ed7990
        v_return = <value optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#18 0x0000003808a0bb3e in IA__g_closure_invoke (closure=0x1ead1e0, return_value=0x7fff893f1060, n_param_values=2, param_values=0x1f7c4c0, invocation_hint=0x7fff893f1020) at gclosure.c:767
        marshal = <value optimized out>
        marshal_data = <value optimized out>
        in_marshal = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#19 0x0000003808a20e23 in signal_emit_unlocked_R (node=<value optimized out>, detail=0, instance=0x201c340, emission_return=0x7fff893f11b0, instance_and_params=0x1f7c4c0) at gsignal.c:3247
        tmp = <value optimized out>
        handler = 0x1f15060
        accumulator = 0x1ea0a40
        emission = {next = 0x0, instance = 0x201c340, ihint = {signal_id = 34, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x1ea09b0
        handler_list = 0x1f15060
        return_accu = 0x7fff893f1060
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 34
        max_sequential_handler_number = 753
        return_value_altered = 0
#20 0x0000003808a21f4a in IA__g_signal_emit_valist (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>, var_args=0x7fff893f1210) at gsignal.c:2990
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        error = 0x0
        rtype = 20
        static_scope = 0
        instance_and_params = 0x1f7c4c0
        signal_return_type = 20
        param_values = 0x1f7c4d8
        node = 0x1ea0c20
        i = <value optimized out>
        n_params = 1
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#21 0x0000003808a225f3 in IA__g_signal_emit (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>) at gsignal.c:3037
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff893f12f0, reg_save_area = 0x7fff893f1230}}
#22 0x000000380f476b2f in gtk_widget_event_internal (widget=0x201c340 [GtkWindow], event=0x1f47080) at gtkwidget.c:4775
        signal_num = <value optimized out>
        return_val = 0
#23 0x000000380f34ac6a in IA__gtk_propagate_event (widget=0x201c340 [GtkWindow], event=0x1f47080) at gtkmain.c:2417
        tmp = <value optimized out>
        handled_event = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_propagate_event"
#24 0x000000380f34bddc in IA__gtk_main_do_event (event=0x1f47080) at gtkmain.c:1622
        event_widget = <value optimized out>
        grab_widget = 0x201c340 [GtkWindow]
        window_group = 0x1f66560 [GtkWindowGroup]
        rewritten_event = <value optimized out>
        tmp_list = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#25 0x0000003810e5fffc in gdk_event_dispatch (source=<value optimized out>, callback=<value optimized out>, user_data=<value optimized out>) at gdkevents-x11.c:2372
        display = <value optimized out>
        event = 0x1f47080
#26 0x0000003807e38f0e in g_main_dispatch (context=0x1e7a8d0) at gmain.c:1960
        dispatch = 0x3810e5ffb0 <gdk_event_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0x1e7a850, next = 0x0}
        need_destroy = <value optimized out>
        source = 0x1e7a850
        current = 0x1e85ca0
        i = <value optimized out>
#27 IA__g_main_context_dispatch (context=0x1e7a8d0) at gmain.c:2513
No locals.
#28 0x0000003807e3c938 in g_main_context_iterate (context=0x1e7a8d0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2591
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = 10
        allocated_nfds = <value optimized out>
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#29 0x0000003807e3cd55 in IA__g_main_loop_run (loop=0x1ef2580) at gmain.c:2799
        self = 0x1e60100
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#30 0x000000380f34c2c7 in IA__gtk_main () at gtkmain.c:1218
        tmp_list = <value optimized out>
        functions = 0x0
        init = <value optimized out>
        loop = 0x1ef2580
#31 0x00000000004061d5 in main (argc=1, argv=0x7fff893f16d8) at daemon.c:1798
        daemon = 0x1ed7990 [NotifyDaemon]
        connection = 0x1eeb938
        bus_proxy = <value optimized out>
        error = 0x0
        res = <value optimized out>
        request_name_result = 1
From                To                  Syms Read   Shared Object Library
0x000000380b609040  0x000000380b619c68  Yes         /usr/lib64/libdbus-glib-1.so.2.1.0
0x00007f9ef3b2b090  0x00007f9ef3b52538  Yes (*)     /lib64/libdbus-1.so.3
0x00007f9ef390d640  0x00007f9ef3918e48  Yes (*)     /lib64/libpthread.so.0
0x00007f9ef3702140  0x00007f9ef37054f8  Yes (*)     /lib64/librt.so.1
0x0000003815e01bf0  0x0000003815e02fe8  Yes         /usr/lib64/libcanberra-gtk.so.0.1.5
0x0000003815603280  0x000000381560c248  Yes         /usr/lib64/libcanberra.so.0.2.1
0x0000003811a11ae0  0x0000003811a2da18  Yes         /usr/lib64/libgconf-2.so.4.1.5
0x000000381620df20  0x000000381622f228  Yes         /usr/lib64/libwnck-1.so.22.3.23
0x000000380f266280  0x000000380f5030d8  Yes         /usr/lib64/libgtk-x11-2.0.so.0.1800.9
0x0000003810e1cff0  0x0000003810e7eb88  Yes         /usr/lib64/libgdk-x11-2.0.so.0.1800.9
0x000000380fa092f0  0x000000380fa14908  Yes         /usr/lib64/libatk-1.0.so.0.2809.1
0x0000003809a189a0  0x0000003809a7aca8  Yes         /lib64/libgio-2.0.so.0.2200.5
0x000000380e607330  0x000000380e621048  Yes         /usr/lib64/libpangoft2-1.0.so.0.2800.1
0x000000380da05780  0x000000380da17718  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.1800.9
0x000000380ee048b0  0x000000380ee093d8  Yes         /usr/lib64/libpangocairo-1.0.so.0.2800.1
0x000000380de09c50  0x000000380de5b008  Yes         /usr/lib64/libcairo.so.2.10800.8
0x000000380fe0ed30  0x000000380fe2d5f8  Yes         /usr/lib64/libpango-1.0.so.0.2800.1
0x00007f9ef346f850  0x00007f9ef34d8198  Yes (*)     /usr/lib64/libfreetype.so.6
0x000000380c605c80  0x000000380c61fec8  Yes         /usr/lib64/libfontconfig.so.1.4.4
0x0000003808a08970  0x0000003808a31f78  Yes         /lib64/libgobject-2.0.so.0.2200.5
0x0000003809601080  0x0000003809601fc8  Yes         /lib64/libgmodule-2.0.so.0.2200.5
0x0000003807e13470  0x0000003807e8a188  Yes         /lib64/libglib-2.0.so.0.2200.5
0x000000380a61dd80  0x000000380a6ab8f8  Yes         /usr/lib64/libX11.so.6.3.0
0x00007f9ef30e0a20  0x00007f9ef320e45c  Yes (*)     /lib64/libc.so.6
0x00007f9ef3d65b00  0x00007f9ef3d7e76b  Yes (*)     /lib64/ld-linux-x86-64.so.2
0x0000003809e01590  0x0000003809e029e8  Yes         /lib64/libgthread-2.0.so.0.2200.5
0x000000381a601fa0  0x000000381a605fc8  Yes (*)     /usr/lib64/libvorbisfile.so.3
0x0000003818e03ae0  0x0000003818e1b638  Yes (*)     /usr/lib64/libvorbis.so.0
0x0000003818a018d0  0x0000003818a03c28  Yes (*)     /usr/lib64/libogg.so.0
0x0000003817e01e30  0x0000003817e09cb8  Yes (*)     /usr/lib64/libtdb.so.1
0x0000003812602370  0x0000003812606758  Yes (*)     /usr/lib64/libltdl.so.7
0x00007f9ef2e41ea0  0x00007f9ef2e81fe8  Yes (*)     /lib64/libm.so.6
0x00000038112278c0  0x000000381124b438  Yes (*)     /usr/lib64/libORBit-2.so.0
0x000000381a2030a0  0x000000381a206938  Yes (*)     /usr/lib64/libstartup-notification-1.so.0
0x00000038166008c0  0x00000038166011d8  Yes (*)     /usr/lib64/libXRes.so.1
0x000000380ce01370  0x000000380ce04178  Yes (*)     /usr/lib64/libXfixes.so.3
0x000000380b203580  0x000000380b20e678  Yes (*)     /usr/lib64/libXext.so.6
0x0000003810a018c0  0x0000003810a07f58  Yes (*)     /usr/lib64/libXrender.so.1
0x000000380e200a20  0x000000380e201508  Yes (*)     /usr/lib64/libXinerama.so.1
0x000000380c201f00  0x000000380c20c7c8  Yes (*)     /usr/lib64/libXi.so.6
0x0000003810201720  0x0000003810206838  Yes (*)     /usr/lib64/libXrandr.so.2
0x000000380d202880  0x000000380d207688  Yes (*)     /usr/lib64/libXcursor.so.1
0x000000380d600b40  0x000000380d601918  Yes (*)     /usr/lib64/libXcomposite.so.1
0x000000380ca00a90  0x000000380ca01638  Yes (*)     /usr/lib64/libXdamage.so.1
0x00007f9ef2c3ade0  0x00007f9ef2c3b998  Yes (*)     /lib64/libdl.so.2
0x00007f9ef2a23930  0x00007f9ef2a328d8  Yes (*)     /lib64/libresolv.so.2
0x00007f9ef2806850  0x00007f9ef2816be8  Yes (*)     /lib64/libselinux.so.1
0x00007f9ef25df830  0x00007f9ef25f9758  Yes (*)     /usr/lib64/libpng12.so.0
0x0000003810607230  0x0000003810651eb8  Yes (*)     /usr/lib64/libpixman-1.so.0
0x00007f9ef23c6f30  0x00007f9ef23d21b8  Yes (*)     /lib64/libz.so.1
0x000000380ae03b70  0x000000380ae1ca08  Yes (*)     /lib64/libexpat.so.1
0x000000380a208650  0x000000380a213898  Yes (*)     /usr/lib64/libxcb.so.1
0x000000381ba01160  0x000000381ba01b28  Yes (*)     /usr/lib64/libxcb-aux.so.0
0x00000038192018e0  0x0000003819201c78  Yes (*)     /usr/lib64/libxcb-event.so.1
0x000000381b201690  0x000000381b201d38  Yes (*)     /usr/lib64/libxcb-atom.so.1
0x00000038136019f0  0x00000038136062a8  Yes (*)     /usr/lib64/libSM.so.6
0x0000003813204d70  0x00000038132137a8  Yes (*)     /usr/lib64/libICE.so.6
0x000000380aa00dd0  0x000000380aa01b68  Yes (*)     /usr/lib64/libXau.so.6
0x00007f9ef21c25a0  0x00007f9ef21c3cc8  Yes (*)     /lib64/libuuid.so.1
0x00007f9eec1241f0  0x00007f9eec12c648  Yes (*)     /lib64/libnss_files.so.2
0x00007f9eebed9940  0x00007f9eebf0c6a8  Yes         /usr/lib64/gtk-2.0/modules/libgail.so
0x000000381ca029d0  0x000000381ca06158  Yes         /usr/lib64/libgailutil.so.18.0.1
0x00007f9eebcc4df0  0x00007f9eebcc7518  Yes (*)     /usr/lib64/gtk-2.0/modules/libatk-bridge.so
0x0000003811e24fe0  0x0000003811e45d98  Yes (*)     /usr/lib64/libspi.so.0
0x000000381c627fe0  0x000000381c652f58  Yes (*)     /usr/lib64/libbonobo-2.so.0
0x000000381be0ae40  0x000000381be12fc8  Yes (*)     /usr/lib64/libbonobo-activation.so.4
0x0000003819e03110  0x0000003819e03ad8  Yes (*)     /usr/lib64/libORBitCosNaming-2.so.0
0x00007f9eeba9ab40  0x00007f9eebabc608  Yes (*)     /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00007f9eeb895600  0x00007f9eeb895de8  Yes (*)     /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
0x00007f9eeb68ff00  0x00007f9eeb692168  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
0x00007f9eeb48add0  0x00007f9eeb48cd88  Yes         /usr/lib64/notification-daemon-1.0/engines/libslider.so
0x00007f9eea25eb70  0x00007f9eea26a5b8  Yes (*)     /usr/lib64/gio/modules/libgioremote-volume-monitor.so
0x00007f9eea04ce30  0x00007f9eea056a98  Yes (*)     /usr/lib64/libgvfscommon.so.0
0x00007f9ee9e41e10  0x00007f9ee9e42688  Yes (*)     /lib64/libutil.so.1
0x00007f9ee9a1d940  0x00007f9ee9a36348  Yes (*)     /usr/lib64/gio/modules/libgvfsdbus.so
0x00007f9ee98088c0  0x00007f9ee98107a8  Yes (*)     /lib64/libudev.so.0
(*): Shared library is missing debugging information.
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x1e716a0	31921824
rbx            0x30202c2032783020	3467820229872594976
rcx            0x401	1025
rdx            0x0	0
rsi            0x1e716a0	31921824
rdi            0x30202c2032783020	3467820229872594976
rbp            0x7fff893f0938	0x7fff893f0938
rsp            0x7fff893f07f0	0x7fff893f07f0
r8             0x1ef2190	32448912
r9             0x7fff893f0818	140735495997464
r10            0x1ef21ad	32448941
r11            0x40851c	4228380
r12            0x201c340	33669952
r13            0x18c	396
r14            0x0	0
r15            0x0	0
rip            0x3808a298b4	0x3808a298b4 <IA__g_type_check_instance_cast+36>
eflags         0x10202	[ IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function IA__g_type_check_instance_cast:
   0x0000003808a29890 <+0>:	mov    %rbx,-0x20(%rsp)
   0x0000003808a29895 <+5>:	mov    %rbp,-0x18(%rsp)
   0x0000003808a2989a <+10>:	mov    %rdi,%rbx
   0x0000003808a2989d <+13>:	mov    %r12,-0x10(%rsp)
   0x0000003808a298a2 <+18>:	mov    %r13,-0x8(%rsp)
   0x0000003808a298a7 <+23>:	sub    $0x38,%rsp
   0x0000003808a298ab <+27>:	test   %rdi,%rdi
   0x0000003808a298ae <+30>:	je     0x3808a29952 <IA__g_type_check_instance_cast+194>
=> 0x0000003808a298b4 <+36>:	mov    (%rdi),%rax
   0x0000003808a298b7 <+39>:	test   %rax,%rax
   0x0000003808a298ba <+42>:	je     0x3808a29a70 <IA__g_type_check_instance_cast+480>
   0x0000003808a298c0 <+48>:	mov    (%rax),%rbp
   0x0000003808a298c3 <+51>:	cmp    $0x3fc,%rbp
   0x0000003808a298ca <+58>:	ja     0x3808a29970 <IA__g_type_check_instance_cast+224>
   0x0000003808a298d0 <+64>:	lea    0x21ac09(%rip),%rax        # 0x3808c444e0 <static_fundamental_type_nodes>
   0x0000003808a298d7 <+71>:	shr    $0x2,%rbp
   0x0000003808a298db <+75>:	mov    (%rax,%rbp,8),%rbp
   0x0000003808a298df <+79>:	test   %rbp,%rbp
   0x0000003808a298e2 <+82>:	je     0x3808a298f5 <IA__g_type_check_instance_cast+101>
   0x0000003808a298e4 <+84>:	testb  $0x40,0xb(%rbp)
   0x0000003808a298e8 <+88>:	mov    $0x1,%eax
   0x0000003808a298ed <+93>:	mov    $0x1,%r13d
   0x0000003808a298f3 <+99>:	jne    0x3808a298fa <IA__g_type_check_instance_cast+106>
   0x0000003808a298f5 <+101>:	xor    %eax,%eax
   0x0000003808a298f7 <+103>:	xor    %r13d,%r13d
   0x0000003808a298fa <+106>:	cmp    $0x3fc,%rsi
   0x0000003808a29901 <+113>:	jbe    0x3808a29980 <IA__g_type_check_instance_cast+240>
   0x0000003808a29903 <+115>:	mov    %rsi,%r12
   0x0000003808a29906 <+118>:	and    $0xfffffffffffffffc,%r12
   0x0000003808a2990a <+122>:	test   %r12,%r12
   0x0000003808a2990d <+125>:	jne    0x3808a2999b <IA__g_type_check_instance_cast+267>
   0x0000003808a29913 <+131>:	test   %r13d,%r13d
   0x0000003808a29916 <+134>:	je     0x3808a29a30 <IA__g_type_check_instance_cast+416>
   0x0000003808a2991c <+140>:	mov    %rsi,%rdi
   0x0000003808a2991f <+143>:	callq  0x3808a23d30 <type_descriptive_name_I>
   0x0000003808a29924 <+148>:	mov    %rax,%rbp
   0x0000003808a29927 <+151>:	mov    (%rbx),%rax
   0x0000003808a2992a <+154>:	mov    (%rax),%rdi
   0x0000003808a2992d <+157>:	callq  0x3808a23d30 <type_descriptive_name_I>
   0x0000003808a29932 <+162>:	lea    0xe4bf(%rip),%rdx        # 0x3808a37df8
   0x0000003808a29939 <+169>:	lea    0x867c(%rip),%rdi        # 0x3808a31fbc
   0x0000003808a29940 <+176>:	mov    %rax,%rcx
   0x0000003808a29943 <+179>:	mov    %rbp,%r8
   0x0000003808a29946 <+182>:	mov    $0x10,%esi
   0x0000003808a2994b <+187>:	xor    %eax,%eax
   0x0000003808a2994d <+189>:	callq  0x3808a08910 <g_log@plt>
   0x0000003808a29952 <+194>:	mov    %rbx,%rax
   0x0000003808a29955 <+197>:	mov    0x20(%rsp),%rbp
   0x0000003808a2995a <+202>:	mov    0x18(%rsp),%rbx
   0x0000003808a2995f <+207>:	mov    0x28(%rsp),%r12
   0x0000003808a29964 <+212>:	mov    0x30(%rsp),%r13
   0x0000003808a29969 <+217>:	add    $0x38,%rsp
   0x0000003808a2996d <+221>:	retq   
   0x0000003808a2996e <+222>:	xchg   %ax,%ax
   0x0000003808a29970 <+224>:	and    $0xfffffffffffffffc,%rbp
   0x0000003808a29974 <+228>:	jmpq   0x3808a298df <IA__g_type_check_instance_cast+79>
   0x0000003808a29979 <+233>:	nopl   0x0(%rax)
   0x0000003808a29980 <+240>:	mov    %rsi,%rcx
   0x0000003808a29983 <+243>:	lea    0x21ab56(%rip),%rdx        # 0x3808c444e0 <static_fundamental_type_nodes>
   0x0000003808a2998a <+250>:	shr    $0x2,%rcx
   0x0000003808a2998e <+254>:	mov    (%rdx,%rcx,8),%r12
   0x0000003808a29992 <+258>:	test   %r12,%r12
   0x0000003808a29995 <+261>:	je     0x3808a29913 <IA__g_type_check_instance_cast+131>
   0x0000003808a2999b <+267>:	test   %al,%al
   0x0000003808a2999d <+269>:	je     0x3808a29913 <IA__g_type_check_instance_cast+131>
   0x0000003808a299a3 <+275>:	mov    0x8(%r12),%eax
   0x0000003808a299a8 <+280>:	mov    0x8(%rbp),%edx
   0x0000003808a299ab <+283>:	shr    $0xc,%eax
   0x0000003808a299ae <+286>:	shr    $0xc,%edx
   0x0000003808a299b1 <+289>:	cmp    %dl,%al
   0x0000003808a299b3 <+291>:	ja     0x3808a299cc <IA__g_type_check_instance_cast+316>
   0x0000003808a299b5 <+293>:	movzbl %al,%ecx
   0x0000003808a299b8 <+296>:	movzbl %dl,%edx
   0x0000003808a299bb <+299>:	sub    %ecx,%edx
   0x0000003808a299bd <+301>:	mov    0x38(%r12),%rcx
   0x0000003808a299c2 <+306>:	movslq %edx,%rdx
   0x0000003808a299c5 <+309>:	cmp    %rcx,0x38(%rbp,%rdx,8)
   0x0000003808a299ca <+314>:	je     0x3808a29952 <IA__g_type_check_instance_cast+194>
   0x0000003808a299cc <+316>:	testb  $0x40,0xb(%rbp)
   0x0000003808a299d0 <+320>:	je     0x3808a29913 <IA__g_type_check_instance_cast+131>
   0x0000003808a299d6 <+326>:	movzbl %al,%eax
   0x0000003808a299d9 <+329>:	cmpq   $0x8,0x38(%r12,%rax,8)
   0x0000003808a299df <+335>:	jne    0x3808a29913 <IA__g_type_check_instance_cast+131>
   0x0000003808a299e5 <+341>:	lea    0x21b2f4(%rip),%rdi        # 0x3808c44ce0 <type_rw_lock>
   0x0000003808a299ec <+348>:	mov    %rsi,0x8(%rsp)
   0x0000003808a299f1 <+353>:	callq  0x3808a085d0 <g_static_rw_lock_reader_lock@plt>
   0x0000003808a299f6 <+358>:	mov    0x8(%r12),%eax
   0x0000003808a299fb <+363>:	mov    0x8(%rsp),%rsi
   0x0000003808a29a00 <+368>:	shr    $0xc,%eax
   0x0000003808a29a03 <+371>:	movzbl %al,%eax
   0x0000003808a29a06 <+374>:	cmpq   $0x8,0x38(%r12,%rax,8)
   0x0000003808a29a0c <+380>:	je     0x3808a29a9a <IA__g_type_check_instance_cast+522>
   0x0000003808a29a12 <+386>:	lea    0x21b2c7(%rip),%rdi        # 0x3808c44ce0 <type_rw_lock>
   0x0000003808a29a19 <+393>:	mov    %rsi,0x8(%rsp)
   0x0000003808a29a1e <+398>:	callq  0x3808a088a0 <g_static_rw_lock_reader_unlock@plt>
   0x0000003808a29a23 <+403>:	mov    0x8(%rsp),%rsi
   0x0000003808a29a28 <+408>:	jmpq   0x3808a29913 <IA__g_type_check_instance_cast+131>
   0x0000003808a29a2d <+413>:	nopl   (%rax)
   0x0000003808a29a30 <+416>:	mov    %rsi,%rdi
   0x0000003808a29a33 <+419>:	callq  0x3808a23d30 <type_descriptive_name_I>
   0x0000003808a29a38 <+424>:	mov    %rax,%rbp
   0x0000003808a29a3b <+427>:	mov    (%rbx),%rax
   0x0000003808a29a3e <+430>:	mov    (%rax),%rdi
   0x0000003808a29a41 <+433>:	callq  0x3808a23d30 <type_descriptive_name_I>
   0x0000003808a29a46 <+438>:	lea    0xe3cb(%rip),%rdx        # 0x3808a37e18
   0x0000003808a29a4d <+445>:	lea    0x8568(%rip),%rdi        # 0x3808a31fbc
   0x0000003808a29a54 <+452>:	mov    %rax,%rcx
   0x0000003808a29a57 <+455>:	mov    %rbp,%r8
   0x0000003808a29a5a <+458>:	mov    $0x10,%esi
   0x0000003808a29a5f <+463>:	xor    %eax,%eax
   0x0000003808a29a61 <+465>:	callq  0x3808a08910 <g_log@plt>
   0x0000003808a29a66 <+470>:	jmpq   0x3808a29952 <IA__g_type_check_instance_cast+194>
   0x0000003808a29a6b <+475>:	nopl   0x0(%rax,%rax,1)
   0x0000003808a29a70 <+480>:	mov    %rsi,%rdi
   0x0000003808a29a73 <+483>:	callq  0x3808a23d30 <type_descriptive_name_I>
   0x0000003808a29a78 <+488>:	lea    0xe3d1(%rip),%rdx        # 0x3808a37e50
   0x0000003808a29a7f <+495>:	lea    0x8536(%rip),%rdi        # 0x3808a31fbc
   0x0000003808a29a86 <+502>:	mov    %rax,%rcx
   0x0000003808a29a89 <+505>:	mov    $0x10,%esi
   0x0000003808a29a8e <+510>:	xor    %eax,%eax
   0x0000003808a29a90 <+512>:	callq  0x3808a08910 <g_log@plt>
   0x0000003808a29a95 <+517>:	jmpq   0x3808a29952 <IA__g_type_check_instance_cast+194>
   0x0000003808a29a9a <+522>:	movzwl 0xa(%rbp),%eax
   0x0000003808a29a9e <+526>:	test   $0x1ff0,%ax
   0x0000003808a29aa2 <+530>:	je     0x3808a29a12 <IA__g_type_check_instance_cast+386>
   0x0000003808a29aa8 <+536>:	mov    0x30(%rbp),%rdi
   0x0000003808a29aac <+540>:	shr    $0x4,%ax
   0x0000003808a29ab0 <+544>:	mov    0x38(%r12),%rbp
   0x0000003808a29ab5 <+549>:	mov    %eax,%edx
   0x0000003808a29ab7 <+551>:	and    $0x1ff,%edx
   0x0000003808a29abd <+557>:	sub    $0x18,%rdi
   0x0000003808a29ac1 <+561>:	jmp    0x3808a29ad0 <IA__g_type_check_instance_cast+576>
   0x0000003808a29ac3 <+563>:	sub    %eax,%edx
   0x0000003808a29ac5 <+565>:	test   %edx,%edx
   0x0000003808a29ac7 <+567>:	je     0x3808a29a12 <IA__g_type_check_instance_cast+386>
   0x0000003808a29acd <+573>:	mov    %rcx,%rdi
   0x0000003808a29ad0 <+576>:	lea    0x1(%rdx),%eax
   0x0000003808a29ad3 <+579>:	shr    %eax
   0x0000003808a29ad5 <+581>:	mov    %eax,%ecx
   0x0000003808a29ad7 <+583>:	lea    (%rcx,%rcx,2),%rcx
   0x0000003808a29adb <+587>:	lea    (%rdi,%rcx,8),%rcx
   0x0000003808a29adf <+591>:	cmp    (%rcx),%rbp
   0x0000003808a29ae2 <+594>:	je     0x3808a29aee <IA__g_type_check_instance_cast+606>
   0x0000003808a29ae4 <+596>:	ja     0x3808a29ac3 <IA__g_type_check_instance_cast+563>
   0x0000003808a29ae6 <+598>:	lea    -0x1(%rax),%edx
   0x0000003808a29ae9 <+601>:	mov    %rdi,%rcx
   0x0000003808a29aec <+604>:	jmp    0x3808a29ac5 <IA__g_type_check_instance_cast+565>
   0x0000003808a29aee <+606>:	lea    0x21b1eb(%rip),%rdi        # 0x3808c44ce0 <type_rw_lock>
   0x0000003808a29af5 <+613>:	callq  0x3808a088a0 <g_static_rw_lock_reader_unlock@plt>
   0x0000003808a29afa <+618>:	jmpq   0x3808a29952 <IA__g_type_check_instance_cast+194>
End of assembler dump.

Comment 2 Suzanne Yeghiayan 2012-02-14 23:16:27 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Jan Kurik 2017-12-06 11:25:15 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.